<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetUserDataEx Method (IEdmUser10)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUser10 Interface : SetUserDataEx Method (IEdmUser10)

Visual Basic
C#
C++/CLI

poUserData
  EdmUserDataEx structure (see Remarks)

Sets information about this user.

# Syntax

Visual Basic |
--- | ---

    Sub SetUserDataEx( _
       ByRef poUserData As EdmUserDataEx _
    )

C# |
--- | ---

    void SetUserDataEx(
       ref EdmUserDataEx poUserData
    )

C++/CLI |
--- | ---

    void SetUserDataEx(
    &   EdmUserDataEx% poUserData
    )

#### Parameters

poUserData
  EdmUserDataEx structure (see Remarks)

# Example

See the IEdmUser10 examples.

# Remarks

The properties and picture associated with this user can be updated using this method. EdmUserDataEx::mlEdmUserDataExFlags indicates which properties to update. EdmUserDataEx::mlUserID is ignored.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: The logged-in user doesn't have user administration privileges.
- E_EDM_FILE_NOT_FOUND: A new user picture path was specified, but the file wasn't found.
- E_EDM_INVALID_FILE: A new user picture path was specified, but the file format isn't supported.

# See Also

####

IEdmUser10 Interface
IEdmUser10 Members

# Availability

SOLIDWORKS PDM Professional 2013